Subject: Re: [PCN] Architecture draft- bi-directional flows

From: Lars Eggert <[email-masked]>
Date: Fri, 25 Jan 2008 16:37:06 +0200

Hi,

On 2007-12-17, at 16:58, ext Jozef Babiarz wrote:
> I believe that the PCN Architecture draft needs to discuss and explain
> how admission control and flow termination works at high level for
> telephony and video conferencing applications and that both, telephony
> and video conferencing applications have bi-directional flows. For
> admission control a new flow can not be admitted unless the traffic
> level on both unidirectional paths is below the PCN-lower-rate. As  
> well
> for flow termination, a bi-directional flow is terminated if one of  
> the
> unidirectional paths is in excess of PCN-upper-rate.

can you elaborate a bit why something more is needed than simply  
setting up both directions independently, and failing if that didn't  
work? Or, for termination, when the app realizes that one direction  
got torn down, it tears down the other direction?

Lars

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

---

From: <[email-masked]>
Date: Tue, 29 Jan 2008 14:21:03 -0000

Note, bi-directional flows are discussed in the arch draft already.
Section 6,
http://tools.ietf.org/html/draft-ietf-pcn-architecture-02#page-24 says 

   o  Bi-Directional Sessions: Many applications have bi-directional
      sessions - hence there are two flows that should be admitted (or
      terminated) as a pair - for instance a bi-directional voice call
      only makes sense if flows in both directions are admitted.
      However, PCN's mechanisms concern admission and termination of a
      single flow, and coordination of the decision for both flows is a
      matter for the signalling protocol and out of scope of PCN.  One
      possible example would use SIP pre-conditions; there are others.

Hopefully this is enough?

> -----Original Message-----
> From: Lars Eggert [mailto:[email-masked]]
> Sent: 25 January 2008 14:37
> To: ext Jozef Babiarz
> Cc: PCN IETF
> Subject: Re: [PCN] Architecture draft- bi-directional flows
> 
> Hi,
>

---

From: "Geib, Ruediger" <[email-masked]>
Date: Wed, 30 Jan 2008 08:27:15 +0100

Phil,

certainly enough for admission control. A statement on termination 
should be added too, because pre-conditions don't apply then. I'm 
sorry not to be able to propose a statement, as for the time 
being I'm not interested in termination as a required 
functionality.

Regards,

Ruediger 

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] 
| Sent: Tuesday, January 29, 2008 3:21 PM
| To: [email-masked]; [email-masked]
| Cc: [email-masked]
| Subject: RE: [PCN] Architecture draft- bi-directional flows
| 
| Note, bi-directional flows are discussed in the arch draft already.
| Section 6,
| http://tools.ietf.org/html/draft-ietf-pcn-architecture-02#page
-24 says 
| 
|  o  Bi-Directional Sessions: Many applications have bi-directional
|     sessions - hence there are two flows that should be admitted (or
|     terminated) as a pair - for instance a bi-directional voice call
|     only makes sense if flows in both directions are admitted.
|     However, PCN's mechanisms concern admission and termination of a
|     single flow, and coordination of the decision for both flows is a
|     matter for the signalling protocol and out of scope of PCN.  One
|     possible example would use SIP pre-conditions; there are others.
| 
| Hopefully this is enough?
| 
| > -----Original Message-----
| > From: Lars Eggert [mailto:[email-masked]]
| > Sent: 25 January 2008 14:37
| > To: ext Jozef Babiarz
| > Cc: PCN IETF
| > Subject: Re: [PCN] Architecture draft- bi-directional flows
| > 
| > Hi,
| > 
| > On 2007-12-17, at 16:58, ext Jozef Babiarz wrote:
| >> I believe that the PCN Architecture draft needs to discuss and explain
| >> how admission control and flow termination works at high level for 
| >> telephony and video conferencing applications and that both, telephony
| >> and video conferencing applications have bi-directional flows. For 
| >> admission control a new flow can not be admitted unless the traffic 
| >> level on both unidirectional paths is below the PCN-lower-rate. As 
| >> well for flow termination, a bi-directional flow is terminated if 
| >> one of the unidirectional paths is in excess of PCN-upper-rate.
| > 
| > can you elaborate a bit why something more is needed than simply 
| > setting up both directions independently, and failing if  that didn't 
| > work? Or, for termination, when the app realizes that one direction 
| > got torn down, it tears down the other direction?
| > 
| > Lars
| > 
| > 
| > _______________________________________________
| > PCN mailing list
| > [email-masked]
| > https://www1.ietf.org/mailman/listinfo/pcn
| 
| 
| _______________________________________________
| PCN mailing list
| [email-masked]
| https://www1.ietf.org/mailman/listinfo/pcn
|

---

From: <[email-masked]>
Date: Wed, 30 Jan 2008 09:15:09 -0000

Ok, I'll leave the text as it is. it mentions flow termination and I
think the level of detail is sufficient.
Thanks
phil

> From: Geib, Ruediger [mailto:[email-masked]]
> Sent: 30 January 2008 07:27
> To: Eardley,PL,Philip,CXR9 R; [email-masked];
[email-masked]
> Cc: [email-masked]
> Subject: RE: [PCN] Architecture draft- bi-directional flows
> 
> Phil,
>